﻿Namespace LWS_DemoBugCaptureToBitmap
    '''<summary>
    ''' <para>Every RhinoCommon .rhp assembly must have one and only one PlugIn-derived
    ''' class. DO NOT create instances of this class yourself. It is the
    ''' responsibility of Rhino to create an instance of this class.</para>
    ''' <para>To complete plug-in information, please also see all PlugInDescription
    ''' attributes in AssemblyInfo.vb (you might need to click "Project" ->
    ''' "Show All Files" to see it in the "Solution Explorer" window).</para>
    '''</summary>
    Public Class LWSDemoBugCaptureToBitmapPlugIn
        Inherits Rhino.PlugIns.PlugIn

        Shared _instance As LWSDemoBugCaptureToBitmapPlugIn

        Public Sub New()
            _instance = Me
        End Sub

        '''<summary>Gets the only instance of the LWSDemoBugCaptureToBitmapPlugIn plug-in.</summary>
        Public Shared ReadOnly Property Instance() As LWSDemoBugCaptureToBitmapPlugIn
            Get
                Return _instance
            End Get
        End Property

        Public Property LWS_CustomConduit As New LWS_CustomConduitDemoBug

        Protected Overrides Function OnLoad(ByRef errorMessage As String) As Rhino.PlugIns.LoadReturnCode
            LWS_CustomConduit.Enabled = True
            LWS_CustomConduit.SpaceFilter = Rhino.DocObjects.ActiveSpace.ModelSpace
            Return Rhino.PlugIns.LoadReturnCode.Success
        End Function

    End Class
End Namespace